import { Plugin } from '../plugin';
import { ResolvedConfig } from '../config';
import { PluginContext } from 'rollup';
export declare const assetUrlRE: RegExp;
/**
 * Also supports loading plain strings with import text from './foo.txt?raw'
 */
export declare function assetPlugin(config: ResolvedConfig): Plugin;
export declare function checkPublicFiles(root: string): {
    [file: string]: string;
};
export declare function checkPublicFile(url: string, root: string): string | undefined;
export declare function fileToUrl(id: string, config: ResolvedConfig, ctx: PluginContext): string | Promise<string>;
export declare function urlToBuiltUrl(url: string, importer: string, config: ResolvedConfig, pluginContext: PluginContext): Promise<string>;
